import { userinfo } from '@/api';
import { createStore } from 'vuex'

export default createStore({
  state: {
    userinfo:{
      accesstoken: "",
      api_token: "",
      birthday: "",
      country: "",
      cover: "",
      created_at: "",
      currency: 2,
      deleted_at: null,
      desc: "",
      email: "",
      img: "",
      interest: "",
      language: "中文",
      live: "",
      livetime: "",
      login_type: 0,
      memberid: 0,
      mobile: "",
      money: "",
      msg: "",
      mtongue: "",
      name: "",
      password: "",
      position: 0,
      publish: 0,
      score: "",
      status: true,
      tlanguage: "",
      type: 0,
      uid: "",
      updated_at: "",
      video: "",
      willsay: [{
        "name": "请选择",
        "level": 0
      }],
      zoneStr: "中途岛GMT-11:00",
      zoneid: 0
    },
    islogin: false
  },
  mutations: {
    setUserInfo(state, userinfo){
      state.userinfo = userinfo
    },
    login(state, islogin: boolean){
      state.islogin = islogin;
    }
  },
  actions: {
    async setUserInfo({ commit }){
      const user = await userinfo();
      if(user != '未登录'){
        commit('setUserInfo', user);
      }
    }
  },
  modules: {
  }
})
